package com.hzya.frame.mdm.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.mdm.mdmModuleView.entity.MdmModuleViewEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class MdmViewVo {

    private String id;
    //模版信息
    private MdmModuleEntity mdmModuleEntity;
    //模版展示信息
    private MdmModuleViewEntity mdmModuleViewEntity;
    //查询条件
    private List<MdmViewFiledVo> queryList;
    //列表
    private List<MdmViewFiledVo> listList;

    public List<MdmViewFiledVo> getQueryList() {
        return queryList;
    }

    public void setQueryList(List<MdmViewFiledVo> queryList) {
        this.queryList = queryList;
    }

    public List<MdmViewFiledVo> getListList() {
        return listList;
    }

    public void setListList(List<MdmViewFiledVo> listList) {
        this.listList = listList;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public MdmModuleEntity getMdmModuleEntity() {
        return mdmModuleEntity;
    }

    public void setMdmModuleEntity(MdmModuleEntity mdmModuleEntity) {
        this.mdmModuleEntity = mdmModuleEntity;
    }

    public MdmModuleViewEntity getMdmModuleViewEntity() {
        return mdmModuleViewEntity;
    }

    public void setMdmModuleViewEntity(MdmModuleViewEntity mdmModuleViewEntity) {
        this.mdmModuleViewEntity = mdmModuleViewEntity;
    }
}

